#include "FrequencyTuningStatusPulseDto.h"

FrequencyTuningStatusPulseDto::FrequencyTuningStatusPulseDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FrequencyTuningStatusPulseDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("synchStatus", synchStatus);
    dataObj.insert("secondDiff", secondDiff);
    dataObj.insert("refValid", refValid);
    dataObj.insert("phaseShiftAcc", phaseShiftAcc);
    dataObj.insert("pulseWidth", pulseWidth);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
